Update External Service

Update External Service
Update an external service.

Update an external service. Vendor, name and version cannot be updated.

Request
URI
PUT
https://{api_host}/cloudapi/extensions/api/{id}
COPY
Path Parameters
string
id
Required

id


Request Body
ExternalService of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "version": "1.0.0",
    "vendor": "VMware",
    "enabled": false
}
{
    "name": "string",
    "id": "urn:vcloud:extension:VMware.Timer:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "priority": 0,
    "enabled": false,
    "authorizationEnabled": false,
    "description": "string",
    "mqttTopics": {
        "mqttTopics": "string"
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ExternalService of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "urn:vcloud:extension:VMware.Timer:1.0.0",
    "version": "1.0.0",
    "vendor": "VMware",
    "priority": 0,
    "enabled": false,
    "authorizationEnabled": false,
    "description": "string",
    "mqttTopics": {
        "mqttTopics": "string"
    }
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean","name":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/extensions/api/{id}